Package com.arms.api.report.mail.service.mailreport

## Class MailReportServiceImpl

- java.lang.Object
- - com.arms.api.report.mail.service.mailreport.MailReportServiceImpl

- All Implemented Interfaces:
    `MailReportService`

      @Service("mailReportService")
      public class MailReportServiceImpl
      extends java.lang.Object
      implements MailReportService

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MailReportServiceImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map<java.lang.String,​java.lang.Long>` | `countByCReqStateLink​(java.util.List<AlmIssue> reqList)` |
    `long` | `countIssuesCreatedThisWeek​(java.util.List<AlmIssue> issues)` |
    `TopMenuResourceVO` | `getTopMenuResource()` |
    `TopMenuScopeVO` | `getTopMenuScope()` |
    `TopMenuTimeVO` | `getTopMenuTime()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MailReportServiceImpl

          public MailReportServiceImpl()

  - ### Method Detail

    - #### getTopMenuTime

          public TopMenuTimeVO getTopMenuTime()

      Specified by:
        `getTopMenuTime` in interface `MailReportService`

    - #### getTopMenuScope

          public TopMenuScopeVO getTopMenuScope()
                                         throws java.lang.Exception

      Specified by:
        `getTopMenuScope` in interface `MailReportService`
      Throws:
        `java.lang.Exception`

    - #### getTopMenuResource

          public TopMenuResourceVO getTopMenuResource()
                                               throws java.lang.Exception

      Specified by:
        `getTopMenuResource` in interface `MailReportService`
      Throws:
        `java.lang.Exception`

    - #### countIssuesCreatedThisWeek

          public long countIssuesCreatedThisWeek​(java.util.List<AlmIssue> issues)

    - #### countByCReqStateLink

          public java.util.Map<java.lang.String,​java.lang.Long> countByCReqStateLink​(java.util.List<AlmIssue> reqList)